<?php

namespace Schaffen\FleetManager\Vehicle\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Person\Models\Person;

class Vehicle extends Model
{

   public static $fuel_types =[

      1 => 'Gasolina comum',
      2 => 'Gasolina aditivada',
      3 => 'Gasolina premium',
      4 => 'Gasolina formulada',
      5 => 'Etanol',
      6 => 'Etanol aditivado',
      7 => 'GNV (Gás Natural Veicular)',
      8 => 'Diesel',
      9 => 'Diesel S-10',
      10 => 'Diesel aditivado',
      11 => 'Diesel Premium',
      12 => 'Flex'

   ];


   public $timestamps = false;
   protected $connection = 'dynamicdb';
   protected $table = "frota.veiculo";
   protected $primaryKey = "vei_codigo";
   protected $prefix = 'vei';
   protected $fillable = [
      "vei_placa"
      ,"vei_ano"
      ,"vei_identificador"
      ,"vei_descricao"
      ,"vei_km_inicial"
      ,"vei_modelo"
      ,"vei_municipio"
      ,"vei_uf"
      ,"vei_cor"
      ,"vei_numero"
      ,"vei_renavam"
      ,"vei_chassi"
      ,"vei_tipo_combustivel"
      ,"vei_fk_loe_codigo"
      ,"vei_fk_proprietario_pes_codigo"
      ,"vei_fk_seguradora_pes_codigo"
      ,"vei_status"
      ,"vei_fk_ccu_codigo"
      ,"vei_fk_mar_codigo"
      ,"vei_fk_vendedor_pes_codigo"
      ,"vei_tipo_frota"
   ];

   public function owner(){
      return $this->belongsTo(Person::class, 'vei_fk_proprietario_pes_codigo');
   }
   public function insurer(){
      return $this->belongsTo(Person::class, 'vei_fk_seguradora_pes_codigo');
   }
   public function seller(){
      return $this->belongsTo(Person::class, 'vei_fk_vendedor_pes_codigo');
   }

}
